{  Dummy little test program, example and ultimate benchmark for IVS  }
Program IVSTest;

Uses IVS_Sys,IVS_Var,IVS_Util,
     CRT;

Var INQLogoF : File;
    INQLogo  : Pointer;

    {  Featuring: Worst-Framerate-Counter-Routine-You-Can-Imagine(TM)  }
    Time     : DWord ABSOLUTE $0040:$006C;
    T1,T2    : DWord;
    Frames   : DWord;

Begin
 Assign(INQLogoF,'inqlogo.rgb');
 Reset(INQLogoF,1);
 If IOResult<>0 Then Begin
   WriteLn(' Whooops! Our cool logo-image (inqlogo.rgb) disappeared!');
   Halt(1);
  End;

 GetMem(INQLogo,256000);
 BlockRead(INQLogoF,INQLogo^,192000);
 If IOResult<>0 Then Begin
   WriteLn(' Whooops! Our cool logo-image (inqlogo.rgb) damaged!');
   Halt(1);
  End;

 {  Okay, now convert that image to something more useful format!  }
 IVS_ConvertBGRToXRGB(INQLogo,64000);

 {  Init IVS Devices  }
 IVS_InitSystem;

 {  Selecting a cool videomode to benchmark...  }
 If Not IVS_ManualSelectMode Then Begin
   FreeMem(INQLogo,256000);
   IVS_DoneSystem;
   Halt;
  End;

 {  Let's go!  }
 IVS_Init;
 Move(INQLogo^,IVS_VirtualScreen^,256000);

 {  Initializing WFCRYCI(TM) Technology  }
 Frames:=0;
 T1:=Time;

 Repeat
  Inc(Frames);
  IVS_Copy;
 Until KeyPressed;

 {  Deinitalizing WFCRYCI(TM) Technology  }
 T2:=Time;
 T1:=T2-T1;

 While KeyPressed Do Readkey;

 {  Stop this all  }
 IVS_Done;

 {  Shuting down IVS  }
 IVS_DoneSystem;

 FreeMem(INQLogo,256000);
 Close(INQLogoF);
 WriteLn;
 WriteLn;
 {  Write out some kind of unreliable results  }
 WriteLn('  WFCRYCI(TM) says it went: ',Frames/(T1/18.2):0:2,' FPS');
End.
{  Don't try this at home... :)  }
